DDE Share overview

DDE Share is a tool for managing dynamic data exchange (DDE) conversations over a network. With DDE Share, you can create, modify, and delete DDE shares so programs on one computer can communicate and share data with programs on other computers. You can also define security restrictions on DDE shares.


DDE Shares

Lists the available DDE shares and makes their properties available for viewing and editing. Use this command to open the DDE Shares dialog box, in which you can add and delete DDE shares, modify the properties of existing DDE shares, and set the trust properties of DDE shares.


Trusted Shares

Lists the DDE shares that are trusted in the current user's context. Use this command to open the DDE Trusted Shares dialog box, in which you can view and modify trusted share properties and remove DDE shares from the list of trusted shares.


Select Computer

Specifies the computer whose DDE shares you want to view. Use this command to open the Select Computer dialog box, in which you can specify the computer.


Exit

Exits the DDE Share program. Any changes made during the current work session are automatically saved.


DDE Shares

You can use this dialog box to create, manage, and delete global DDE shares on your computer. You can also view the DDE shares on any computer on the network.

Click the following for information about the dialog box:

  • DDE Shares
  • Add A Share
  • Properties
  • Delete Share
  • Trust Share


DDE Trusted Shares

Used to create, manage, and delete trusted DDE shares on your computer running Windows 2000.

Click the following for information about the dialog box:

  • Trusted DDE Shares
  • Properties
  • Delete Share


DDE Share Properties

Use this dialog box to view and modify the properties of global DDE shares on a computer running Windows 2000.

Click the following for information about the dialog box:

  • Share Name
  • Application Name
  • Topic Name
  • Old Style
  • New Style
  • Static
  • Allow start application
  • is Service
  • Item Security
  • Grant access to all items
  • Grant access only to these items
  • Item
  • Add item
  • Delete item
  • Permissions


Trusted Share Properties

Used to view and modify the properties associated with trusted DDE shares.

Click the following for information about the dialog box:

  • Share Name
  • Start Application Enable
  • Initiate to Application Enable
  • Cmd Show Override, with
  • Set


DDE Share Name Permissions

Displays for viewing and editing the users and groups who have access to a DDE share.

Click the following for information about this dialog box:

  • DDE Share Name
  • Owner
  • Name
  • Type of Access
  • Add
  • Remove


Add Users and Groups

Used to add a group or user to the permission list for a file or folder.

Click the following for information about the dialog box:

  • List Names From
  • Names
  • Add
  • Show Users
  • Members
  • Search
  • Add Names
  • Type of Access


Find Account

When you add a user or group to the permissions or audit list, you must know the name of the domain that contains the user or group's account. Use the Find Account dialog box to locate the domain of an account on a network running Windows 2000 Server.

Click the following for information about the dialog box:

  • Find User or Group
  • Search All
  • Search Only In
  • Search
  • Add


Local Group Membership

Displays the members of the local group selected in the Add Users and Groups dialog box. On a network running Windows 2000 Server, global groups that are members of a local group appear in the list. You can use this dialog box to do the following:

  • To include the entire group in Add Names in the Add Users and Groups dialog box, click Add.
  • To include some of the listed members in Add Names in the Add Users and Groups dialog box, select the members you want, and then click Add.
  • To see the members of a global group on a network running Windows 2000 Server, select the group, and then click Members.


Global Group Membership

Displays the members of the global group selected in the Add Users and Groups or Local Group Membership dialog box. You can use this dialog box to do the following:

  • To include the entire group in Add Names in the Add Users and Groups dialog box, click Add.

  • To include some of the listed members in Add Names in the Add Users and Groups dialog box, select the members you want, and then click Add.


Select Computer

Used to specify a computer whose DDE shares you want to view.

Click the following for information about the dialog box:

  • Computer
  • Select Computer